
import java.util.ArrayList; 
import java.io.*;
import java.util.*;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.50C1F1ED-C701-E2A6-D9E2-A96E3514CC71]
// </editor-fold> 
public class Partida {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.4D0FCF83-0AFF-9FBD-B491-3F4BEB0E7151]
    // </editor-fold> 
    private Jugador jugadorActivo;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.1B922E97-4CEF-19AC-5424-5F2E85AA84CA]
    // </editor-fold> 
    private String nomPartida;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.CCB861E1-E32D-6C6C-589C-1A824FBEEC8C]
    // </editor-fold> 
    private int numJugadores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.78F4148D-7CCE-10C6-84F4-F970F70C263F]
    // </editor-fold> 
    private Tablero mTablero;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.100C97CB-7D8B-03CB-4ED8-48F0C0124DF3]
    // </editor-fold> 
    private ArrayList<Jugador> mJugador;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.AB9ACF6E-AC5A-7CB3-1FE0-EFA6BF3D9DA8]
    // </editor-fold> 
    private Dado mDado;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B51BC81C-3708-0BD2-0498-5B9FEE71FEAC]
    // </editor-fold> 
    public Partida () {
    }

    public Partida(String nPartida,int NumJug) throws IOException{
        mJugador=new ArrayList();
        nomPartida=nPartida;
        BufferedReader teclado= new BufferedReader(new InputStreamReader(System.in));
        numJugadores=NumJug;
        if(numJugadores==2){
         try{
          System.out.println("Introduzca el nombre del jugador1: ");
          String nombre1=teclado.readLine();
          Jugador j1=new Jugador(40,nombre1);
          mJugador.add(j1);
         }
         catch( IOException ex){
           System.out.println(ex);
         }
         try{
          System.out.println("Introduzca el nombre del jugador2: ");
          String nombre2=teclado.readLine();
          Jugador j2=new Jugador(40,nombre2);
          mJugador.add(j2);
         }
         catch(IOException ex1){
           System.out.println(ex1);
         }
          
          
        }
        else if(numJugadores==3){
         try{
          System.out.println("Introduzca el nombre del jugador1: ");
          String nombre1=teclado.readLine();
          Jugador j1=new Jugador(35,nombre1);
          mJugador.add(j1);
         }
         catch(IOException ex){
           System.out.println(ex);
         }
         try{
          System.out.println("Introduzca el nombre del jugador2: ");
          String nombre2=teclado.readLine();
          Jugador j2=new Jugador(35,nombre2);
           mJugador.add(j2);
         }
         catch(IOException ex1){
          System.out.println(ex1);
         }
         try{
          System.out.println("Introduzca el nombre del jugador3: ");
          String nombre3=teclado.readLine();
          Jugador j3=new Jugador(35,nombre3);
          mJugador.add(j3);
         }
         catch(IOException ex2){
           System.out.println(ex2);
         }
          
        }
        else if(numJugadores==4){
         try{
          System.out.println("Introduzca el nombre del jugador1: ");
          String nombre1=teclado.readLine();
          Jugador j1=new Jugador(30,nombre1);
          mJugador.add(j1);
         }
         catch(IOException ex){
          System.out.println(ex);
         }
         try{
          System.out.println("Introduzca el nombre del jugador2: ");
          String nombre2=teclado.readLine();
          Jugador j2=new Jugador(30,nombre2);
          mJugador.add(j2);
         }
         catch(IOException ex1){
           System.out.println(ex1);
         }
         try{
          System.out.println("Introduzca el nombre del jugador3: ");
          String nombre3=teclado.readLine();
          Jugador j3=new Jugador(30,nombre3);
          mJugador.add(j3);
         }
         catch(IOException ex2){
          System.out.println(ex2);
         }
         try{
          System.out.println("Introduzca el nombre del jugador4: ");
          String nombre4=teclado.readLine();
          Jugador j4=new Jugador(30,nombre4);
          mJugador.add(j4);
         }
         catch(IOException ex3){
          System.out.println(ex3);
         }  
        }
        else if(numJugadores==5){
         try{
          System.out.println("Introduzca el nombre del jugador1: ");
          String nombre1=teclado.readLine();
          Jugador j1=new Jugador(25,nombre1);
          mJugador.add(j1);
         }
         catch(IOException ex){
          System.out.println(ex);
         }
         try{
          System.out.println("Introduzca el nombre del jugador2: ");
          String nombre2=teclado.readLine();
          Jugador j2=new Jugador(25,nombre2);
          mJugador.add(j2);
         }
         catch(IOException ex1){
          System.out.println(ex1);
         }
         try{
          System.out.println("Introduzca el nombre del jugador3: ");
          String nombre3=teclado.readLine();
          Jugador j3=new Jugador(25,nombre3);
          mJugador.add(j3);
         }
         catch(IOException ex2){
          System.out.println(ex2);
         }
         try{
          System.out.println("Introduzca el nombre del jugador4: ");
          String nombre4=teclado.readLine();
          Jugador j4=new Jugador(25,nombre4);
          mJugador.add(j4);
         }
         catch(IOException ex3){
          System.out.println(ex3);
         }
         try{
          System.out.println("Introduzca el nombre del jugador5: ");
          String nombre5=teclado.readLine();
          Jugador j5=new Jugador(25,nombre5);
          mJugador.add(j5);
         }
         catch(IOException ex4){
          System.out.println(ex4);
         }  
        }
        else if(numJugadores==6){
         try{
          System.out.println("Introduzca el nombre del jugador1: ");
          String nombre1=teclado.readLine();
          Jugador j1=new Jugador(20,nombre1);
          mJugador.add(j1);
         }
         catch(IOException ex){
          System.out.println(ex);
         }
         try{
          System.out.println("Introduzca el nombre del jugador2: ");
          String nombre2=teclado.readLine();
          Jugador j2=new Jugador(20,nombre2);
          mJugador.add(j2);
         }
         catch(IOException ex1){
          System.out.println(ex1);
         }
         try{
          System.out.println("Introduzca el nombre del jugador3: ");
          String nombre3=teclado.readLine();
          Jugador j3=new Jugador(20,nombre3);
          mJugador.add(j3);
         }
         catch(IOException ex2){
          System.out.println(ex2);
         }
         try{
          System.out.println("Introduzca el nombre del jugador4: ");
          String nombre4=teclado.readLine();
          Jugador j4=new Jugador(20,nombre4);
          mJugador.add(j4);
         }
         catch(IOException ex3){
             System.out.println(ex3);
         }
         try{
          System.out.println("Introduzca el nombre del jugador5: ");
          String nombre5=teclado.readLine();
          Jugador j5=new Jugador(20,nombre5);
          mJugador.add(j5);
         }
         catch(IOException ex4){
          System.out.println(ex4);
         }
         try{
          System.out.println("Introduzca el nombre del jugador6: ");
          String nombre6=teclado.readLine();
          Jugador j6=new Jugador(20,nombre6);
          mJugador.add(j6);
         }
         catch(IOException ex5){
          System.out.println(ex5);
         }
          
        }
        
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.7B9878B8-AE71-4796-8BD1-0D98DADB384E]
    // </editor-fold> 
    public String getNomPartida () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DBF47A24-82B2-EEA3-91D2-BB4A6C08C4E9]
    // </editor-fold> 
    public void setNomPartida (String val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4FC03AD1-889B-3E30-BA07-E45B1C586BD4]
    // </editor-fold> 
    public int getNumJugadores () {
        return 0;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.263A6A77-76E1-9FFB-C3B6-E687D459C071]
    // </editor-fold> 
    public void setNumJugadores (int val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.48D6F846-E372-D0F8-EEA7-157BF2CA3C1B]
    // </editor-fold> 

            
    

    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.48D6F846-E372-D0F8-EEA7-157BF2CA3C1B]
    // </editor-fold> 

    public void cargarPartida () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.919A8C14-94F2-924E-D6AF-7CA4983191FC]
    // </editor-fold> 
    public void guardarPartida () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DC66BDEF-DDE9-E684-FCE5-3714C8EC411B]
    // </editor-fold> 
    public void crearJugador () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C6ECC7B0-F6F4-6D44-AD10-FE3614E8F0F0]
    // </editor-fold> 
    public void ubicarEjercitos () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C89952CF-AC89-A5F5-45F9-CC4F1275EEA5]
    // </editor-fold> 
    public void atacarTerritorio () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.90E9EFA7-0AED-7580-1988-EABEA30248F7]
    // </editor-fold> 
    public void invadirTerritorio () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.840B6385-AEFF-085B-0FBE-ECA7239C3B06]
    // </editor-fold> 
    public void terminarAtaque () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.03876686-AE2E-BDC9-7157-0E60350C0C9A]
    // </editor-fold> 
    public void transferirEjercitos () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.496B747F-0909-4FD9-FD00-08E0DBB1E72F]
    // </editor-fold> 
    

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.BA2BFEBC-A035-D85B-B2C0-C516660C4DC5]
    // </editor-fold> 
    public void verCarta () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.C3D121FB-E2C5-8A08-8CA3-04CF014727CC]
    // </editor-fold> 
    public void cambiarCartas () {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AB63706E-A75D-CE2B-495B-05290583C90C]
    // </editor-fold> 
    public Dado getDado () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AA3BEA16-C31D-6D12-7EB8-7AD85B52768A]
    // </editor-fold> 
    public void setDado (Dado val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FB7F9E19-7140-00A1-9E5B-2BFFBA2B43EE]
    // </editor-fold> 
    public ArrayList<Jugador> getJugador () {
        return mJugador;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C758D597-9651-E590-95BE-52AB19E762F7]
    // </editor-fold> 
    public Tablero getTablero () {
        return null;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.0095163E-A999-58EF-DA47-C3818E1AC2F7]
    // </editor-fold> 
    public void setTablero (Tablero val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.ED23BF9A-2A07-B2D3-EC04-A76817B20863]
    // </editor-fold> 
    public Jugador getJugadorActivo () {
        Jugador j=new Jugador();
        j=mJugador.get(0);
        return j;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D13CF139-B4E2-FE0C-254B-76A1FAE86010]
    // </editor-fold> 
    public void setJugadorActivo (Jugador val) {
        this.jugadorActivo = val;
    }
    
    public void cambiarJugadorActivo()
    {
        Jugador aux=new Jugador(this.getJugadorActivo());
        mJugador.remove(0);
        mJugador.add(aux);
    }
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.4F032575-19A5-F12B-9DC6-3873377C454C]
    // </editor-fold> 
    public void setJugador (ArrayList<Jugador> val) {
        this.mJugador = val;
    }

}

